Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006205 [JEDI VCL] 00 JVCL Components minor always 2013-09-27 15:09 2015-09-14 13:20
Reporter altaveron View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006205: The issue on TJvFilenameEdit control
Description Steps to reproduce:
1. Add TJvFilenameEdit on a form.
2. Run the application.
3. Select any file.
4. Open a dialog to select file again.

The char "\" will be present on the beginning of the filename.

The filename should be correct.
Additional Information
Tags No tags attached.
Attached Files zip file icon 0006205.zip [^] (2,910,105 bytes) 2014-03-02 15:25
png file icon Incorrect filename.png [^] (634,254 bytes) 2014-03-02 15:35
zip file icon correct.zip [^] (2,910,132 bytes) 2014-03-02 15:57

- Relationships

-  Notes
(0020657)
Arioch (developer)
2013-10-08 16:51

i use thsi in my XE2 projects.

filename is prepended not by lonely back-slash but with a fully-qualified path to me, like c:\folder1\folder2\filename

it looks you do something quite special.

Tell please more about your environment.

Delphi ? OS ? Specific file name ? Test project ?
(0020803)
obones (administrator)
2013-12-13 11:47

Please provide the zipped sources of an application showing this
(0020918)
altaveron (reporter)
2014-03-02 15:36

The issue has another sense. Only the last Note: 0000015 chars of the file path are displayed by default. So if filename has 14 chars length "\" will be displayed as the first char.
(0020919)
altaveron (reporter)
2014-03-02 15:58

The correct demo project uploaded on the file "correct.zip". "Note: 0000015" must be only two chars "1" and "5".
(0020934)
AHUser (developer)
2014-03-27 21:56

Fixed in master branch.

The dialog will now only show the name part of the filename if the InitialDir can be set.

- Issue History
Date Modified Username Field Change
2013-09-27 15:09 altaveron New Issue
2013-09-27 15:14 altaveron Issue Monitored: altaveron
2013-10-08 16:51 Arioch Note Added: 0020657
2013-10-08 16:54 Arioch Status new => feedback
2013-12-13 11:47 obones Note Added: 0020803
2014-03-02 15:25 altaveron File Added: 0006205.zip
2014-03-02 15:35 altaveron File Added: Incorrect filename.png
2014-03-02 15:36 altaveron Note Added: 0020918
2014-03-02 15:57 altaveron File Added: 0006205-correct.zip
2014-03-02 15:58 altaveron Note Added: 0020919
2014-03-27 21:56 AHUser Note Added: 0020934
2014-03-27 21:56 AHUser Status feedback => resolved
2014-03-27 21:56 AHUser Fixed in Version => Daily / GIT
2014-03-27 21:56 AHUser Resolution open => fixed
2014-03-27 21:56 AHUser Assigned To => AHUser
2014-03-27 22:15 altaveron Issue End Monitor: altaveron
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker